#region Copyright Syncfusion Inc. 2001 - 2005
//
//  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace Splitter
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.SplitterControl splitterControl1;
		private Syncfusion.Windows.Forms.Grid.GridControl gridControl1;
		private Label label1;

		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.splitterControl1 = new Syncfusion.Windows.Forms.SplitterControl();
			this.gridControl1 = new Syncfusion.Windows.Forms.Grid.GridControl();
			this.label1 = new System.Windows.Forms.Label();
			this.splitterControl1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.gridControl1)).BeginInit();
			this.SuspendLayout();
			// 
			// splitterControl1
			// 
			this.splitterControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
						| System.Windows.Forms.AnchorStyles.Left)
						| System.Windows.Forms.AnchorStyles.Right)));
			this.splitterControl1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.splitterControl1.Controls.Add(this.gridControl1);
			this.splitterControl1.Location = new System.Drawing.Point(24, 24);
			this.splitterControl1.Name = "splitterControl1";
			this.splitterControl1.Size = new System.Drawing.Size(504, 321);
			this.splitterControl1.SplitBars = ((Syncfusion.Windows.Forms.DynamicSplitBars)((Syncfusion.Windows.Forms.DynamicSplitBars.SplitRows | Syncfusion.Windows.Forms.DynamicSplitBars.SplitColumns)));
			this.splitterControl1.TabIndex = 0;
			this.splitterControl1.Text = "splitterControl1";
			this.splitterControl1.ThemesEnabled = true;
			this.splitterControl1.VSplitPos = 65;
			this.splitterControl1.PaneClosing += new Syncfusion.Windows.Forms.SplitterPaneEventHandler(this.splitterControl1_PaneClosing);
			this.splitterControl1.PaneCreated += new Syncfusion.Windows.Forms.SplitterPaneEventHandler(this.splitterControl1_PaneCreated);
			// 
			// gridControl1
			// 
			this.gridControl1.ColCount = 16;
			this.gridControl1.FillSplitterPane = true;
			this.gridControl1.HorizontalThumbTrack = true;
			this.gridControl1.Location = new System.Drawing.Point(0, 0);
			this.gridControl1.Name = "gridControl1";
			this.gridControl1.RowCount = 100;
			this.gridControl1.Size = new System.Drawing.Size(485, 302);
			this.gridControl1.SmartSizeBox = false;
			this.gridControl1.Text = "gridControl1";
			this.gridControl1.ThemesEnabled = true;
			this.gridControl1.VerticalThumbTrack = true;
			this.gridControl1.CellClick += new Syncfusion.Windows.Forms.Grid.GridCellClickEventHandler(this.gridControl1_CellClick);
			// 
			// label1
			// 
			this.label1.AutoSize = true;
			this.label1.Location = new System.Drawing.Point(22, 352);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(64, 13);
			this.label1.TabIndex = 1;
			this.label1.Text = "CurrentCell: ";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(560, 374);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.splitterControl1);
			this.Name = "Form1";
			this.Text = "Form1";
			this.splitterControl1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.gridControl1)).EndInit();
			this.ResumeLayout(false);
			this.PerformLayout();

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		public static void Main() 
		{
			Application.Run(new Form1());
		}

		private void splitterControl1_PaneCreated(object sender, Syncfusion.Windows.Forms.SplitterPaneEventArgs e)
		{
			// TXT e-solutions - Start
			if (e.Control.GetType() == typeof(GridControl))
			{
				GridControl lGrid = e.Control as GridControl;

				lGrid.CellClick += new GridCellClickEventHandler(gridControl1_CellClick);
			}
			// TXT e-solutions - End
			Console.WriteLine("Created: " + e.ToString());
		}

		private void splitterControl1_PaneClosing(object sender, Syncfusion.Windows.Forms.SplitterPaneEventArgs e)
		{
			// TXT e-solutions - Start
			if (e.Control.GetType() == typeof(GridControl))
			{
				GridControl lGrid = e.Control as GridControl;

				lGrid.CellClick -= new GridCellClickEventHandler(gridControl1_CellClick);
			}
			// TXT e-solutions - End
			Console.WriteLine("Closed: " + e.ToString());
		}

		// TXT e-solutions - Start
		private void gridControl1_CellClick(object sender, Syncfusion.Windows.Forms.Grid.GridCellClickEventArgs e)
		{
			if (this.splitterControl1.RowCount > 1 || this.splitterControl1.ColumnCount > 1)
			{
				GridControl lGrid = this.splitterControl1.ActivePane as GridControl;

				label1.ForeColor = Color.Green;

				label1.Text = "CurrentCell: R" + lGrid.CurrentCell.RowIndex + "C" + lGrid.CurrentCell.ColIndex;
			}
			else
				label1.Text = "CurrentCell: R" + gridControl1.CurrentCell.RowIndex + "C" + gridControl1.CurrentCell.ColIndex;
		}
		// TXT e-solutions - End
	}
}
